using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace RadGridView_SL4_AR_25
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{

		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{

		}

		private void RadMaskedTextBox_LostFocus(object sender, RoutedEventArgs e)
		{
			var maskTextBox = (RadMaskedTextBox)sender;
			if (maskTextBox.MaskedText == "0.00")
			{
				maskTextBox.MaskedText = null;
			} 
		}

		private void RadMaskedTextBox_GotFocus(object sender, RoutedEventArgs e)
		{
			var maskTextBox = (RadMaskedTextBox)sender;

			if (string.IsNullOrEmpty(maskTextBox.MaskedText))
			{
				maskTextBox.MaskedText = "0.00";
			} 
		}

	}
}
